%define		apiver 5.1
%define 	soname tolua++%{apiver}
%define 	libname %mklibname %{name} %{apiver}
%define 	develname %mklibname %{name} -d

Name:		tolua++
Version:	1.0.93
Release:	%mkrel 22
Summary:        A tool to integrate C/C++ code with Lua
License:	MIT
Group:          Development/Other
URL:		http://www.codenix.com/~tolua/
Source0:	http://www.codenix.com/~tolua/%{name}-%{version}.tar.bz2
Source1:	custom.py
Patch0:		tolua++-1.0.93-scons-3.0.3.patch
Patch1:		tolua++-1.0.93-soname.patch
BuildRequires:	scons
BuildRequires:	lua5.1-devel


%description
tolua++ is an extended version of tolua, a tool to
integrate C/C++ code with Lua. tolua++ includes new
features oriented to c++.

%package -n %{libname}
Summary:	Shared library for tolua++
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Shared library for tolua++.

%package -n %{develname}
Summary:        Development files for tolua++
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       lua5.1-devel >= 5.1
Provides:	tolua++-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 5.1}-devel < 1.0.92-5
Provides:	%{mklibname %{name} 5.1}-devel

%description -n %{develname}
Development files for tolua++.

%prep
%autosetup -p1

cp %{SOURCE1} custom.py

%build
%scons -Q CCFLAGS="%{optflags} -fPIC -I%{_includedir}/lua-5.1" LINKFLAGS="%{ldflags}" SHLINKFLAGS="%{ldflags} -shared -Wl,-soname,lib%{soname}.so"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir %{buildroot}%{_libdir}
mkdir %{buildroot}%{_includedir}
install -m0755 bin/%{name}  %{buildroot}%{_bindir}
install -m0755 lib/lib%{soname}.so* %{buildroot}%{_libdir}
install -m0644 include/%{name}.h %{buildroot}%{_includedir}
ln -s lib%{soname}.so %{buildroot}%{_libdir}/libtolua++.so

%files
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{soname}.so

%files -n %{develname}
%doc README doc/*
%{_libdir}/libtolua++.so
%{_includedir}/%{name}.h


%changelog
* Fri Mar 18 2022 umeabot <umeabot> 1.0.93-22.mga9
+ Revision: 1797949
- Mageia 9 Mass Rebuild
+ wally <wally>
- add patch and fixes for lib soname

* Sat Apr 24 2021 wally <wally> 1.0.93-21.mga9
+ Revision: 1719197
- add back build hack to build binary without SONAME

* Sat Apr 24 2021 wally <wally> 1.0.93-20.mga9
+ Revision: 1719193
- drop unneeded build hack

* Tue Mar 30 2021 wally <wally> 1.0.93-19.mga9
+ Revision: 1711948
- rebuild with updated lua 5.1

* Sun Feb 16 2020 umeabot <umeabot> 1.0.93-18.mga8
+ Revision: 1535397
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 daviddavid <daviddavid> 1.0.93-17.mga8
+ Revision: 1445793
- switch build to python3-scons

* Fri Apr 05 2019 daviddavid <daviddavid> 1.0.93-16.mga7
+ Revision: 1386035
- switch to Python2 scons support

* Fri Feb 08 2019 daviddavid <daviddavid> 1.0.93-15.mga7
+ Revision: 1364228
- add patch to fix build with scons >= 3.0.3
  * Remove long deprecated SCons.Options replaced by *Variable() many years ago

* Tue Oct 02 2018 umeabot <umeabot> 1.0.93-14.mga7
+ Revision: 1315086
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.0.93-13.mga6
+ Revision: 959000
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.0.93-12.mga6
+ Revision: 868082
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.93-11.mga5
+ Revision: 739245
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 luigiwalser <luigiwalser> 1.0.93-10.mga5
+ Revision: 701307
- fix lua BR (should be 5.1)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild with lua-5.2

* Fri Oct 18 2013 umeabot <umeabot> 1.0.93-8.mga4
+ Revision: 521041
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 cjw <cjw> 1.0.93-7.mga3
+ Revision: 388461
- use lua5.1
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 02 2012 zezinho <zezinho> 1.0.93-6.mga2
+ Revision: 216893
- bump version to follow updates in Mageia 1

* Mon Jan 30 2012 zezinho <zezinho> 1.0.93-2.mga2
+ Revision: 203567
- fix symbol lookup error

* Sat Mar 26 2011 kharec <kharec> 1.0.93-1.mga1
+ Revision: 77709
- imported package tolua++

